`glXGetProcAddressARB' undeclared (first use this function)

Trying to build your own version of Vega Strike and having problems? Unix users, paste your config.log here (stderr output alone is not helpful).
Post Reply
Coladicooka
Star Pilot
Star Pilot
Posts: 5
Joined: Tue Apr 01, 2003 11:35 pm

`glXGetProcAddressARB' undeclared (first use this function)

Post by Coladicooka »

Hello: I have the following compile problem:

Making all in gldrv
make[3]: Entering directory `/video/src/vegastrike-0.4.1-installer/vegastrike/src/gldrv'
if g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../src -I../../src/boost129 -I/usr/local/include -I/usr/local/include/python2.2 -DHAVE_PYTHON=1 -DUSE_BOOST_129=1 -pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math -pipe -MT gl_init.o -MD -MP -MF ".deps/gl_init.Tpo" \
-c -o gl_init.o `test -f 'gl_init.cpp' || echo './'`gl_init.cpp; \
then mv ".deps/gl_init.Tpo" ".deps/gl_init.Po"; \
else rm -f ".deps/gl_init.Tpo"; exit 1; \
fi
gl_init.cpp: In function `void init_opengl_extensions()':
gl_init.cpp:109: `glXGetProcAddressARB' undeclared (first use this function)
gl_init.cpp:109: (Each undeclared identifier is reported only once for each
function it appears in.)
make[3]: *** [gl_init.o] Error 1
make[3]: Leaving directory `/video/src/vegastrike-0.4.1-installer/vegastrike/src/gldrv'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/video/src/vegastrike-0.4.1-installer/vegastrike/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/video/src/vegastrike-0.4.1-installer/vegastrike'
make: *** [all] Error 2


And this is my config.log:


This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.57. Invocation command line was

$ ./configure

## --------- ##
## Platform. ##
## --------- ##

hostname = dionyssus
uname -m = i686
uname -r = 2.4.22
uname -s = Linux
uname -v = #2 SMP Sun Feb 1 18:32:18 CET 2004

/usr/bin/uname -p = unknown
/bin/uname -X = unknown

/bin/arch = i686
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /sbin
PATH: /bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /usr/local/bin
PATH: /opt/bin
PATH: /opt/local/bin
PATH: /opt/kde/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1369: checking build system type
configure:1387: result: i686-pc-linux-gnu
configure:1395: checking host system type
configure:1409: result: i686-pc-linux-gnu
configure:1417: checking target system type
configure:1431: result: i686-pc-linux-gnu
configure:1461: checking for a BSD-compatible install
configure:1515: result: /bin/install -c
configure:1526: checking whether build environment is sane
configure:1569: result: yes
configure:1602: checking for gawk
configure:1618: found /usr/bin/gawk
configure:1628: result: gawk
configure:1638: checking whether make sets $(MAKE)
configure:1658: result: yes
configure:1864: checking for gcc
configure:1880: found /usr/bin/gcc
configure:1890: result: gcc
configure:2134: checking for C compiler version
configure:2137: gcc --version </dev/null >&5
gcc (GCC) 3.2.3
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2140: $? = 0
configure:2142: gcc -v </dev/null >&5
Reading specs from /usr/bin/../lib/gcc-lib/i686-pc-linux-gnu/3.2.3/specs
Configured with: ../gcc-3.2.3/configure --prefix=/usr --enable-shared --enable-threads=posix --with-slibdir=/lib --enable-__cxa_atexit --enable-clocale=gnu : (reconfigured) ../gcc-3.2.3/configure --prefix=/opt/gcc/ --enable-shared --enable-threads=posix --with-slibdir=/lib --enable-__cxa_atexit --enable-clocale=gnu
Thread model: posix
gcc version 3.2.3
configure:2145: $? = 0
configure:2147: gcc -V </dev/null >&5
gcc: argument to `-V' is missing
configure:2150: $? = 1
configure:2174: checking for C compiler default output
configure:2177: gcc conftest.c >&5
configure:2180: $? = 0
configure:2226: result: a.out
configure:2231: checking whether the C compiler works
configure:2237: ./a.out
configure:2240: $? = 0
configure:2257: result: yes
configure:2264: checking whether we are cross compiling
configure:2266: result: no
configure:2269: checking for suffix of executables
configure:2271: gcc -o conftest conftest.c >&5
configure:2274: $? = 0
configure:2299: result:
configure:2305: checking for suffix of object files
configure:2327: gcc -c conftest.c >&5
configure:2330: $? = 0
configure:2352: result: o
configure:2356: checking whether we are using the GNU C compiler
configure:2381: gcc -c conftest.c >&5
configure:2384: $? = 0
configure:2387: test -s conftest.o
configure:2390: $? = 0
configure:2403: result: yes
configure:2409: checking whether gcc accepts -g
configure:2431: gcc -c -g conftest.c >&5
configure:2434: $? = 0
configure:2437: test -s conftest.o
configure:2440: $? = 0
configure:2451: result: yes
configure:2468: checking for gcc option to accept ANSI C
configure:2529: gcc -c conftest.c >&5
configure:2532: $? = 0
configure:2535: test -s conftest.o
configure:2538: $? = 0
configure:2556: result: none needed
configure:2574: gcc -c conftest.c >&5
conftest.c:2: syntax error before "me"
configure:2577: $? = 1
configure: failed program was:
| #ifndef __cplusplus
| choke me
| #endif
configure:2705: checking for style of include used by make
configure:2733: result: GNU
configure:2761: checking dependency style of gcc
configure:2823: result: gcc3
configure:2861: gcc -c -falign-loops=4 conftest.c >&5
configure:2864: $? = 0
configure:2867: test -s conftest.o
configure:2870: $? = 0
configure:2938: checking for g++
configure:2954: found /usr/bin/g++
configure:2964: result: g++
configure:2980: checking for C++ compiler version
configure:2983: g++ --version </dev/null >&5
g++ (GCC) 3.2.3
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2986: $? = 0
configure:2988: g++ -v </dev/null >&5
Reading specs from /usr/bin/../lib/gcc-lib/i686-pc-linux-gnu/3.2.3/specs
Configured with: ../gcc-3.2.3/configure --prefix=/usr --enable-shared --enable-threads=posix --with-slibdir=/lib --enable-__cxa_atexit --enable-clocale=gnu : (reconfigured) ../gcc-3.2.3/configure --prefix=/opt/gcc/ --enable-shared --enable-threads=posix --with-slibdir=/lib --enable-__cxa_atexit --enable-clocale=gnu
Thread model: posix
gcc version 3.2.3
configure:2991: $? = 0
configure:2993: g++ -V </dev/null >&5
g++: argument to `-V' missing

configure:2996: $? = 1
configure:2999: checking whether we are using the GNU C++ compiler
configure:3024: g++ -c conftest.cc >&5
configure:3027: $? = 0
configure:3030: test -s conftest.o
configure:3033: $? = 0
configure:3046: result: yes
configure:3052: checking whether g++ accepts -g
configure:3074: g++ -c -g conftest.cc >&5
configure:3077: $? = 0
configure:3080: test -s conftest.o
configure:3083: $? = 0
configure:3094: result: yes
configure:3138: g++ -c conftest.cc >&5
configure:3141: $? = 0
configure:3144: test -s conftest.o
configure:3147: $? = 0
configure:3174: g++ -c conftest.cc >&5
configure: In function `int main()':
configure:3171: `exit' undeclared (first use this function)
configure:3171: (Each undeclared identifier is reported only once for each
function it appears in.)
configure:3177: $? = 1
configure: failed program was:
| #line 3157 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| /* end confdefs.h. */
|
| int
| main ()
| {
| exit (42);
| ;
| return 0;
| }
configure:3138: g++ -c conftest.cc >&5
configure:3141: $? = 0
configure:3144: test -s conftest.o
configure:3147: $? = 0
configure:3174: g++ -c conftest.cc >&5
configure:3177: $? = 0
configure:3180: test -s conftest.o
configure:3183: $? = 0
configure:3208: checking dependency style of g++
configure:3270: result: gcc3
configure:3292: checking how to run the C++ preprocessor
configure:3324: g++ -E conftest.cc
configure:3330: $? = 0
configure:3362: g++ -E conftest.cc
configure:3366:28: ac_nonexistent.h: No such file or directory
configure:3368: $? = 1
configure: failed program was:
| #line 3353 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3406: result: g++ -E
configure:3431: g++ -E conftest.cc
configure:3437: $? = 0
configure:3469: g++ -E conftest.cc
configure:3473:28: ac_nonexistent.h: No such file or directory
configure:3475: $? = 1
configure: failed program was:
| #line 3460 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3531: checking for a BSD-compatible install
configure:3585: result: /bin/install -c
configure:3596: checking whether ln -s works
configure:3600: result: yes
configure:3648: checking for ranlib
configure:3664: found /usr/bin/ranlib
configure:3675: result: ranlib
configure:3693: checking how to run the C preprocessor
configure:3729: gcc -E conftest.c
configure:3735: $? = 0
configure:3767: gcc -E conftest.c
configure:3771:28: ac_nonexistent.h: No such file or directory
configure:3773: $? = 1
configure: failed program was:
| #line 3758 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3811: result: gcc -E
configure:3836: gcc -E conftest.c
configure:3842: $? = 0
configure:3874: gcc -E conftest.c
configure:3878:28: ac_nonexistent.h: No such file or directory
configure:3880: $? = 1
configure: failed program was:
| #line 3865 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3923: checking for egrep
configure:3933: result: grep -E
configure:3938: checking for ANSI C header files
configure:3964: gcc -c conftest.c >&5
configure:3967: $? = 0
configure:3970: test -s conftest.o
configure:3973: $? = 0
configure:4062: gcc -o conftest conftest.c >&5
configure:4065: $? = 0
configure:4067: ./conftest
configure:4070: $? = 0
configure:4085: result: yes
configure:4103: checking for dirent.h that defines DIR
configure:4128: gcc -c conftest.c >&5
configure:4131: $? = 0
configure:4134: test -s conftest.o
configure:4137: $? = 0
configure:4148: result: yes
configure:4161: checking for library containing opendir
configure:4192: gcc -o conftest conftest.c >&5
configure:4195: $? = 0
configure:4198: test -s conftest
configure:4201: $? = 0
configure:4260: result: none required
configure:4390: checking for sys/types.h
configure:4407: gcc -c conftest.c >&5
configure:4410: $? = 0
configure:4413: test -s conftest.o
configure:4416: $? = 0
configure:4427: result: yes
configure:4390: checking for sys/stat.h
configure:4407: gcc -c conftest.c >&5
configure:4410: $? = 0
configure:4413: test -s conftest.o
configure:4416: $? = 0
configure:4427: result: yes
configure:4390: checking for stdlib.h
configure:4407: gcc -c conftest.c >&5
configure:4410: $? = 0
configure:4413: test -s conftest.o
configure:4416: $? = 0
configure:4427: result: yes
configure:4390: checking for string.h
configure:4407: gcc -c conftest.c >&5
configure:4410: $? = 0
configure:4413: test -s conftest.o
configure:4416: $? = 0
configure:4427: result: yes
configure:4390: checking for memory.h
configure:4407: gcc -c conftest.c >&5
configure:4410: $? = 0
configure:4413: test -s conftest.o
configure:4416: $? = 0
configure:4427: result: yes
configure:4390: checking for strings.h
configure:4407: gcc -c conftest.c >&5
configure:4410: $? = 0
configure:4413: test -s conftest.o
configure:4416: $? = 0
configure:4427: result: yes
configure:4390: checking for inttypes.h
configure:4407: gcc -c conftest.c >&5
configure:4410: $? = 0
configure:4413: test -s conftest.o
configure:4416: $? = 0
configure:4427: result: yes
configure:4390: checking for stdint.h
configure:4407: gcc -c conftest.c >&5
configure:4410: $? = 0
configure:4413: test -s conftest.o
configure:4416: $? = 0
configure:4427: result: yes
configure:4390: checking for unistd.h
configure:4407: gcc -c conftest.c >&5
configure:4410: $? = 0
configure:4413: test -s conftest.o
configure:4416: $? = 0
configure:4427: result: yes
configure:4458: checking fcntl.h usability
configure:4471: gcc -c conftest.c >&5
configure:4474: $? = 0
configure:4477: test -s conftest.o
configure:4480: $? = 0
configure:4490: result: yes
configure:4494: checking fcntl.h presence
configure:4505: gcc -E conftest.c
configure:4511: $? = 0
configure:4530: result: yes
configure:4566: checking for fcntl.h
configure:4573: result: yes
configure:4458: checking limits.h usability
configure:4471: gcc -c conftest.c >&5
configure:4474: $? = 0
configure:4477: test -s conftest.o
configure:4480: $? = 0
configure:4490: result: yes
configure:4494: checking limits.h presence
configure:4505: gcc -E conftest.c
configure:4511: $? = 0
configure:4530: result: yes
configure:4566: checking for limits.h
configure:4573: result: yes
configure:4458: checking malloc.h usability
configure:4471: gcc -c conftest.c >&5
configure:4474: $? = 0
configure:4477: test -s conftest.o
configure:4480: $? = 0
configure:4490: result: yes
configure:4494: checking malloc.h presence
configure:4505: gcc -E conftest.c
configure:4511: $? = 0
configure:4530: result: yes
configure:4566: checking for malloc.h
configure:4573: result: yes
configure:4458: checking sys/ioctl.h usability
configure:4471: gcc -c conftest.c >&5
configure:4474: $? = 0
configure:4477: test -s conftest.o
configure:4480: $? = 0
configure:4490: result: yes
configure:4494: checking sys/ioctl.h presence
configure:4505: gcc -E conftest.c
configure:4511: $? = 0
configure:4530: result: yes
configure:4566: checking for sys/ioctl.h
configure:4573: result: yes
configure:4458: checking sys/time.h usability
configure:4471: gcc -c conftest.c >&5
configure:4474: $? = 0
configure:4477: test -s conftest.o
configure:4480: $? = 0
configure:4490: result: yes
configure:4494: checking sys/time.h presence
configure:4505: gcc -E conftest.c
configure:4511: $? = 0
configure:4530: result: yes
configure:4566: checking for sys/time.h
configure:4573: result: yes
configure:4449: checking for unistd.h
configure:4454: result: yes
configure:4589: checking for an ANSI C-conforming const
configure:4657: gcc -c conftest.c >&5
configure:4660: $? = 0
configure:4663: test -s conftest.o
configure:4666: $? = 0
configure:4677: result: yes
configure:4687: checking whether time.h and sys/time.h may both be included
configure:4713: gcc -c conftest.c >&5
configure:4716: $? = 0
configure:4719: test -s conftest.o
configure:4722: $? = 0
configure:4733: result: yes
configure:4743: checking for inline
configure:4765: gcc -c conftest.c >&5
configure:4768: $? = 0
configure:4771: test -s conftest.o
configure:4774: $? = 0
configure:4786: result: inline
configure:4801: checking for size_t
configure:4826: gcc -c conftest.c >&5
configure:4829: $? = 0
configure:4832: test -s conftest.o
configure:4835: $? = 0
configure:4846: result: yes
configure:4871: checking for getcwd
configure:4921: gcc -o conftest conftest.c >&5
configure:4924: $? = 0
configure:4927: test -s conftest
configure:4930: $? = 0
configure:4941: result: yes
configure:4871: checking for gettimeofday
configure:4921: gcc -o conftest conftest.c >&5
configure:4924: $? = 0
configure:4927: test -s conftest
configure:4930: $? = 0
configure:4941: result: yes
configure:4871: checking for strdup
configure:4921: gcc -o conftest conftest.c >&5
configure:4924: $? = 0
configure:4927: test -s conftest
configure:4930: $? = 0
configure:4941: result: yes
configure:4871: checking for select
configure:4921: gcc -o conftest conftest.c >&5
configure:4924: $? = 0
configure:4927: test -s conftest
configure:4930: $? = 0
configure:4941: result: yes
configure:4871: checking for socket
configure:4921: gcc -o conftest conftest.c >&5
configure:4924: $? = 0
configure:4927: test -s conftest
configure:4930: $? = 0
configure:4941: result: yes
configure:4871: checking for strstr
configure:4921: gcc -o conftest conftest.c >&5
configure:4928: warning: conflicting types for built-in function `strstr'
configure:4924: $? = 0
configure:4927: test -s conftest
configure:4930: $? = 0
configure:4941: result: yes
configure:4871: checking for access
configure:4921: gcc -o conftest conftest.c >&5
configure:4924: $? = 0
configure:4927: test -s conftest
configure:4930: $? = 0
configure:4941: result: yes
configure:4871: checking for lstat
configure:4921: gcc -o conftest conftest.c >&5
configure:4924: $? = 0
configure:4927: test -s conftest
configure:4930: $? = 0
configure:4941: result: yes
configure:4957: checking for finite
configure:5007: gcc -o conftest conftest.c >&5
configure:5010: $? = 0
configure:5013: test -s conftest
configure:5016: $? = 0
configure:5027: result: yes
configure:4957: checking for isnan
configure:5007: gcc -o conftest conftest.c >&5
configure:5010: $? = 0
configure:5013: test -s conftest
configure:5016: $? = 0
configure:5027: result: yes
configure:5042: checking for _finite
configure:5092: gcc -o conftest conftest.c >&5
/tmp/ccm9wmfC.o: In function `main':
/tmp/ccm9wmfC.o(.text+0x16): undefined reference to `_finite'
/tmp/ccm9wmfC.o(.data+0x0): undefined reference to `_finite'
collect2: ld returned 1 exit status
configure:5095: $? = 1
configure: failed program was:
| #line 5047 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| /* System header to define __stub macros and hopefully few prototypes,
| which can conflict with char _finite (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error. */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
| builtin and then its argument prototype would still apply. */
| char _finite ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined (__stub__finite) || defined (__stub____finite)
| choke me
| #else
| char (*f) () = _finite;
| #endif
| #ifdef __cplusplus
| }
| #endif
|
| int
| main ()
| {
| return f != _finite;
| ;
| return 0;
| }
configure:5112: result: no
configure:5042: checking for _isnan
configure:5092: gcc -o conftest conftest.c >&5
/tmp/ccyzJ0DW.o: In function `main':
/tmp/ccyzJ0DW.o(.text+0x16): undefined reference to `_isnan'
/tmp/ccyzJ0DW.o(.data+0x0): undefined reference to `_isnan'
collect2: ld returned 1 exit status
configure:5095: $? = 1
configure: failed program was:
| #line 5047 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| /* System header to define __stub macros and hopefully few prototypes,
| which can conflict with char _isnan (); below.
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
| <limits.h> exists even on freestanding compilers. */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error. */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
| builtin and then its argument prototype would still apply. */
| char _isnan ();
| /* The GNU C library defines this for functions which it implements
| to always fail with ENOSYS. Some functions are actually named
| something starting with __ and the normal name is an alias. */
| #if defined (__stub__isnan) || defined (__stub____isnan)
| choke me
| #else
| char (*f) () = _isnan;
| #endif
| #ifdef __cplusplus
| }
| #endif
|
| int
| main ()
| {
| return f != _isnan;
| ;
| return 0;
| }
configure:5112: result: no
configure:5137: checking ieeefp.h usability
configure:5150: gcc -c conftest.c >&5
configure:5214:20: ieeefp.h: No such file or directory
configure:5153: $? = 1
configure: failed program was:
| #line 5139 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <ieeefp.h>
configure:5169: result: no
configure:5173: checking ieeefp.h presence
configure:5184: gcc -E conftest.c
configure:5216:20: ieeefp.h: No such file or directory
configure:5190: $? = 1
configure: failed program was:
| #line 5175 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| /* end confdefs.h. */
| #include <ieeefp.h>
configure:5209: result: no
configure:5245: checking for ieeefp.h
configure:5252: result: no
configure:5137: checking zlib.h usability
configure:5150: gcc -c conftest.c >&5
configure:5153: $? = 0
configure:5156: test -s conftest.o
configure:5159: $? = 0
configure:5169: result: yes
configure:5173: checking zlib.h presence
configure:5184: gcc -E conftest.c
configure:5190: $? = 0
configure:5209: result: yes
configure:5245: checking for zlib.h
configure:5252: result: yes
configure:5266: checking for pid_t
configure:5291: gcc -c conftest.c >&5
configure:5294: $? = 0
configure:5297: test -s conftest.o
configure:5300: $? = 0
configure:5311: result: yes
configure:5329: checking for unistd.h
configure:5334: result: yes
configure:5338: checking vfork.h usability
configure:5351: gcc -c conftest.c >&5
configure:5417:19: vfork.h: No such file or directory
configure:5354: $? = 1
configure: failed program was:
| #line 5340 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| # include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| # include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| # include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <vfork.h>
configure:5370: result: no
configure:5374: checking vfork.h presence
configure:5385: gcc -E conftest.c
configure:5419:19: vfork.h: No such file or directory
configure:5391: $? = 1
configure: failed program was:
| #line 5376 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h. */
| #include <vfork.h>
configure:5410: result: no
configure:5446: checking for vfork.h
configure:5453: result: no
configure:5471: checking for fork
configure:5521: gcc -o conftest conftest.c >&5
configure:5524: $? = 0
configure:5527: test -s conftest
configure:5530: $? = 0
configure:5541: result: yes
configure:5471: checking for vfork
configure:5521: gcc -o conftest conftest.c >&5
configure:5524: $? = 0
configure:5527: test -s conftest
configure:5530: $? = 0
configure:5541: result: yes
configure:5552: checking for working fork
configure:5575: gcc -o conftest conftest.c >&5
configure:5578: $? = 0
configure:5580: ./conftest
configure:5583: $? = 0
configure:5597: result: yes
configure:5618: checking for working vfork
configure:5752: result: yes
configure:5789: checking for stdlib.h
configure:5794: result: yes
configure:5789: checking for unistd.h
configure:5794: result: yes
configure:5930: checking for getpagesize
configure:5980: gcc -o conftest conftest.c >&5
configure:5983: $? = 0
configure:5986: test -s conftest
configure:5989: $? = 0
configure:6000: result: yes
configure:6010: checking for working mmap
configure:6153: gcc -o conftest conftest.c >&5
configure:6156: $? = 0
configure:6158: ./conftest
configure:6161: $? = 0
configure:6175: result: yes
configure:6186: checking for working memcmp
configure:6235: gcc -o conftest conftest.c >&5
configure:6238: $? = 0
configure:6240: ./conftest
configure:6243: $? = 0
configure:6257: result: yes
configure:6302: gcc -c conftest.c >&5
configure:6305: $? = 0
configure:6308: test -s conftest.o
configure:6311: $? = 0
configure:6350: gcc -c -gdwarf-2 -g3 conftest.c >&5
configure:6353: $? = 0
configure:6356: test -s conftest.o
configure:6359: $? = 0
configure:6471: checking for Win32 platform
configure:6494: result: no
configure:6505: checking for Linux platform
configure:6528: result: yes
configure:6536: checking for MacOSX platform
configure:6559: result: no
configure:6583: checking for python
configure:6646: result: python 2.2.2
configure:6761: checking for sdl-config
configure:6779: found /opt/local/bin/sdl-config
configure:6792: result: /opt/local/bin/sdl-config
configure:6800: checking for SDL - version >= 1.0.1
configure:6891: gcc -o conftest -I/opt/local/include/SDL -D_REENTRANT conftest.c -L/opt/local/lib -Wl,-rpath,/opt/local/lib -lSDL -lpthread >&5
configure:6879:21: SDL/SDL.h: No such file or directory
configure:6894: $? = 1
configure: program exited with status 1
configure: failed program was:
| #line 6824 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| /* end confdefs.h. */
|
| #include <stdio.h>
| #include <stdlib.h>
| #include <string.h>
| #include <SDL/SDL.h>
|
| char*
| my_strdup (char *str)
| {
| char *new_str;
|
| if (str)
| {
| new_str = (char *)malloc ((strlen (str) + 1) * sizeof(char));
| strcpy (new_str, str);
| }
| else
| new_str = NULL;
|
| return new_str;
| }
|
| int main (int argc, char *argv[])
| {
| int major, minor, micro;
| char *tmp_version;
|
| /* This hangs on some systems (?)
| system ("touch conf.sdltest");
| */
| { FILE *fp = fopen("conf.sdltest", "a"); if ( fp ) fclose(fp); }
|
| /* HP/UX 9 (%@#!) writes to sscanf strings */
| tmp_version = my_strdup("1.0.1");
| if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
| printf("%s, bad version string\n", "1.0.1");
| exit(1);
| }
|
| if ((1 > major) ||
| ((1 == major) && (2 > minor)) ||
| ((1 == major) && (2 == minor) && (5 >= micro)))
| {
| return 0;
| }
| else
| {
| printf("\n*** 'sdl-config --version' returned %d.%d.%d, but the minimum version\n", 1, 2, 5);
| printf("*** of SDL required is %d.%d.%d. If sdl-config is correct, then it is\n", major, minor, micro);
| printf("*** best to upgrade to the required version.\n");
| printf("*** If sdl-config was wrong, set the environment variable SDL_CONFIG\n");
| printf("*** to point to the correct copy of sdl-config, and remove the file\n");
| printf("*** config.cache before re-running configure\n");
| return 1;
| }
| }
|
|
configure:6921: result: no
configure:6955: gcc -o conftest -I/opt/local/include/SDL -D_REENTRANT conftest.c -L/opt/local/lib -Wl,-rpath,/opt/local/lib -lSDL -lpthread >&5
configure:6958: $? = 0
configure:6961: test -s conftest
configure:6964: $? = 0
configure:7219: checking for GL library
configure:7239: gcc -o conftest conftest.c -lutil -lGL >&5
configure:7242: $? = 0
configure:7245: test -s conftest
configure:7248: $? = 0
configure:7258: result: yes
configure:7658: checking for glXGetProcAddressARB
configure:7708: gcc -o conftest conftest.c -lutil -lGL >&5
configure:7711: $? = 0
configure:7714: test -s conftest
configure:7717: $? = 0
configure:7728: result: yes
configure:7786: checking for GLU library
configure:7806: gcc -o conftest conftest.c -lutil -lGL -lGLU >&5
configure:7809: $? = 0
configure:7812: test -s conftest
configure:7815: $? = 0
configure:7825: result: yes
configure:8246: checking for GL/gl.h
configure:8260: gcc -E conftest.c
configure:8266: $? = 0
configure:8286: result: yes
configure:8357: checking for GL/gl.h
configure:8374: gcc -c conftest.c >&5
configure:8377: $? = 0
configure:8380: test -s conftest.o
configure:8383: $? = 0
configure:8394: result: yes
configure:8357: checking for GL/glext.h
configure:8374: gcc -c conftest.c >&5
configure:8377: $? = 0
configure:8380: test -s conftest.o
configure:8383: $? = 0
configure:8394: result: yes
configure:8427: checking whether glext.h is recent enough
configure:8457: result: yes
configure:8502: checking for glut32 library
configure:8528: gcc -o conftest -L/usr/X11R6/lib conftest.c -lutil -lGL -lGLU -lglut32 -lXi -lXmu >&5
/usr/bin/ld: cannot find -lglut32
collect2: ld returned 1 exit status
configure:8531: $? = 1
configure: failed program was:
| #line 8511 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| #define HAVE_GL_GL_H 1
| #define HAVE_GL_GLEXT_H 1
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:8547: result: no
configure:8502: checking for glut library
configure:8528: gcc -o conftest -L/usr/X11R6/lib -L/usr/X11R6/lib conftest.c -lutil -lGL -lGLU -lglut -lXi -lXmu >&5
configure:8531: $? = 0
configure:8534: test -s conftest
configure:8537: $? = 0
configure:8547: result: yes
configure:8599: checking GL/glut.h usability
configure:8612: gcc -c conftest.c >&5
configure:8615: $? = 0
configure:8618: test -s conftest.o
configure:8621: $? = 0
configure:8631: result: yes
configure:8635: checking GL/glut.h presence
configure:8646: gcc -E conftest.c
configure:8652: $? = 0
configure:8671: result: yes
configure:8707: checking for GL/glut.h
configure:8714: result: yes
configure:8757: checking for expat library
configure:8777: gcc -o conftest -L/usr/X11R6/lib -L/usr/X11R6/lib conftest.c -lexpat >&5
configure:8780: $? = 0
configure:8783: test -s conftest
configure:8786: $? = 0
configure:8796: result: yes
configure:8845: checking expat.h usability
configure:8858: gcc -c conftest.c >&5
configure:8861: $? = 0
configure:8864: test -s conftest.o
configure:8867: $? = 0
configure:8877: result: yes
configure:8881: checking expat.h presence
configure:8892: gcc -E conftest.c
configure:8898: $? = 0
configure:8917: result: yes
configure:8953: checking for expat.h
configure:8960: result: yes
configure:9004: checking for png library
configure:9024: gcc -o conftest -L/usr/X11R6/lib -L/usr/X11R6/lib conftest.c -lpng >&5
configure:9027: $? = 0
configure:9030: test -s conftest
configure:9033: $? = 0
configure:9043: result: yes
configure:9138: checking png.h usability
configure:9151: gcc -c conftest.c >&5
configure:9154: $? = 0
configure:9157: test -s conftest.o
configure:9160: $? = 0
configure:9170: result: yes
configure:9174: checking png.h presence
configure:9185: gcc -E conftest.c
configure:9191: $? = 0
configure:9210: result: yes
configure:9246: checking for png.h
configure:9253: result: yes
configure:9304: checking for jpeg library
configure:9324: gcc -o conftest -L/usr/X11R6/lib -L/usr/X11R6/lib conftest.c -ljpeg >&5
configure:9327: $? = 0
configure:9330: test -s conftest
configure:9333: $? = 0
configure:9343: result: yes
configure:9392: checking jpeglib.h usability
configure:9405: gcc -c conftest.c >&5
configure:9408: $? = 0
configure:9411: test -s conftest.o
configure:9414: $? = 0
configure:9424: result: yes
configure:9428: checking jpeglib.h presence
configure:9439: gcc -E conftest.c
configure:9445: $? = 0
configure:9464: result: yes
configure:9500: checking for jpeglib.h
configure:9507: result: yes
configure:9561: checking for openal library
configure:9581: gcc -o conftest -L/usr/X11R6/lib -L/usr/X11R6/lib conftest.c >&5
configure:9584: $? = 0
configure:9587: test -s conftest
configure:9590: $? = 0
configure:9600: result: yes
configure:9647: checking for AL/al.h
configure:9658: gcc -E conftest.c
configure:9703:20: AL/al.h: No such file or directory
configure:9664: $? = 1
configure: failed program was:
| #line 9649 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| #define HAVE_GL_GL_H 1
| #define HAVE_GL_GLEXT_H 1
| /* end confdefs.h. */
| #include <AL/al.h>
configure:9683: result: no
configure:9685: checking for al.h
configure:9696: gcc -E conftest.c
configure:9741:17: al.h: No such file or directory
configure:9702: $? = 1
configure: failed program was:
| #line 9687 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1

| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| #define HAVE_GL_GL_H 1
| #define HAVE_GL_GLEXT_H 1
| /* end confdefs.h. */
| #include <al.h>
configure:9721: result: no
configure:9736: checking for AL/al.h
configure:9747: gcc -E conftest.c
configure:9792:20: AL/al.h: No such file or directory
configure:9753: $? = 1
configure: failed program was:
| #line 9738 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| #define HAVE_GL_GL_H 1
| #define HAVE_GL_GLEXT_H 1
| /* end confdefs.h. */
| #include <AL/al.h>
configure:9772: result: no
configure:9774: checking for al.h
configure:9785: gcc -E conftest.c
configure:9830:17: al.h: No such file or directory
configure:9791: $? = 1
configure: failed program was:
| #line 9776 "configure"
| /* confdefs.h. */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "vegastrike"
| #define VERSION "0.4.0"
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define STDC_HEADERS 1
| #define HAVE_DIRENT_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_MALLOC_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_GETCWD 1
| #define HAVE_GETTIMEOFDAY 1
| #define HAVE_STRDUP 1
| #define HAVE_SELECT 1
| #define HAVE_SOCKET 1
| #define HAVE_STRSTR 1
| #define HAVE_ACCESS 1
| #define HAVE_LSTAT 1
| #define HAVE_FINITE 1
| #define HAVE_ISNAN 1
| #define HAVE_ZLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_WORKING_FORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define HAVE_GLXGETPROCADDRESSARB 1
| #define HAVE_GL_GL_H 1
| #define HAVE_GL_GLEXT_H 1
| /* end confdefs.h. */
| #include <al.h>
configure:9810: result: no
configure:10870: creating ./config.status

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by config.status, which was
generated by GNU Autoconf 2.57. Invocation command line was

CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status

on dionyssus

config.status:722: creating Makefile
config.status:722: creating src/Makefile
config.status:722: creating src/gldrv/Makefile
config.status:722: creating src/aldrv/Makefile
config.status:722: creating src/gfx/Makefile
config.status:722: creating src/gfx/nav/Makefile
config.status:722: creating src/cmd/Makefile
config.status:722: creating src/cmd/ai/Makefile
config.status:722: creating src/cmd/collide/Makefile
config.status:722: creating src/cmd/script/Makefile
config.status:722: creating src/cmd/script/c_alike/Makefile
config.status:722: creating src/cmd/collide/csgeom/Makefile
config.status:722: creating src/python/Makefile
config.status:722: creating launcher/Makefile
config.status:722: creating src/networking/Makefile
config.status:722: creating src/networking/lowlevel/Makefile
config.status:722: creating src/boost/Makefile
config.status:722: creating objconv/Makefile
config.status:722: creating src/gui/Makefile
config.status:722: creating src/common/Makefile
config.status:722: creating src/boost129/Makefile
config.status:826: creating config.h
config.status:1011: config.h is unchanged
config.status:1124: executing depfiles commands

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=i686-pc-linux-gnu
ac_cv_build_alias=i686-pc-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_c_const=yes
ac_cv_c_inline=inline
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_exeext=
ac_cv_func__finite=no
ac_cv_func__isnan=no
ac_cv_func_access=yes
ac_cv_func_finite=yes
ac_cv_func_fork=yes
ac_cv_func_fork_works=yes
ac_cv_func_getcwd=yes
ac_cv_func_getpagesize=yes
ac_cv_func_gettimeofday=yes
ac_cv_func_glXGetProcAddressARB=yes
ac_cv_func_isnan=yes
ac_cv_func_lstat=yes
ac_cv_func_memcmp_working=yes
ac_cv_func_mmap_fixed_mapped=yes
ac_cv_func_select=yes
ac_cv_func_socket=yes
ac_cv_func_strdup=yes
ac_cv_func_strstr=yes
ac_cv_func_vfork=yes
ac_cv_func_vfork_works=yes
ac_cv_header_GL_gl_h=yes
ac_cv_header_GL_glext_h=yes
ac_cv_header_GL_glut_h=yes
ac_cv_header_dirent_dirent_h=yes
ac_cv_header_expat_h=yes
ac_cv_header_fcntl_h=yes
ac_cv_header_ieeefp_h=no
ac_cv_header_inttypes_h=yes
ac_cv_header_jpeglib_h=yes
ac_cv_header_limits_h=yes
ac_cv_header_malloc_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_png_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_ioctl_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_time_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_time=yes
ac_cv_header_unistd_h=yes
ac_cv_header_vfork_h=no
ac_cv_header_zlib_h=yes
ac_cv_host=i686-pc-linux-gnu
ac_cv_host_alias=i686-pc-linux-gnu
ac_cv_objext=o
ac_cv_path_SDL_CONFIG=/opt/local/bin/sdl-config
ac_cv_path_install='/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_CXXCPP='g++ -E'
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_cc_g=yes
ac_cv_prog_cc_stdc=
ac_cv_prog_cxx_g=yes
ac_cv_prog_egrep='grep -E'
ac_cv_prog_make_make_set=yes
ac_cv_search_opendir='none required'
ac_cv_target=i686-pc-linux-gnu
ac_cv_target_alias=i686-pc-linux-gnu
ac_cv_type_pid_t=yes
ac_cv_type_size_t=yes
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=gcc3

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /video/src/vegastrike-0.4.1-installer/vegastrike/missing --run aclocal-1.7'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /video/src/vegastrike-0.4.1-installer/vegastrike/missing --run tar'
AUTOCONF='${SHELL} /video/src/vegastrike-0.4.1-installer/vegastrike/missing --run autoconf'
AUTOHEADER='${SHELL} /video/src/vegastrike-0.4.1-installer/vegastrike/missing --run autoheader'
AUTOMAKE='${SHELL} /video/src/vegastrike-0.4.1-installer/vegastrike/missing --run automake-1.7'
AWK='gawk'
BOOST_CPPFLAGS='-DUSE_BOOST_129=1'
BOOST_LIBS='../src/boost129/libpython_boost.a'
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS=' -pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math -pipe '
CPP='gcc -E'
CPPFLAGS=' -I/usr/local/include -I/usr/local/include/python2.2 -DHAVE_PYTHON=1 -DUSE_BOOST_129=1 '
CXX='g++'
CXXCPP='g++ -E'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS=' -pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math -pipe '
CYGPATH_W='echo'
DEFS='-DHAVE_CONFIG_H'
DEPDIR='.deps'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='grep -E'
EXEEXT=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
LDFLAGS='-L/usr/X11R6/lib -L/usr/X11R6/lib '
LIBOBJS=''
LIBS=' -lutil -lGL -lGLU -lglut -lXi -lXmu -lexpat -lpng -ljpeg -lopenal /usr/local/lib/python2.2/config/libpython2.2.a -Xlinker -export-dynamic'
LINUX_FALSE='#'
LINUX_TRUE=''
LN_S='ln -s'
LTLIBOBJS=''
MACOSX_FALSE=''
MACOSX_TRUE='#'
MAKEINFO='${SHELL} /video/src/vegastrike-0.4.1-installer/vegastrike/missing --run makeinfo'
NETCOMM_FALSE=''
NETCOMM_JVOIP_FALSE=''
NETCOMM_JVOIP_TRUE='#'
NETCOMM_NOSOUND_FALSE='#'
NETCOMM_NOSOUND_TRUE=''
NETCOMM_NOWEBCAM_FALSE='#'
NETCOMM_NOWEBCAM_TRUE=''
NETCOMM_PORTAUDIO_FALSE=''
NETCOMM_PORTAUDIO_TRUE='#'
NETCOMM_TRUE='#'
OBJEXT='o'
PACKAGE='vegastrike'
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
PYTHON_CPPFLAGS=' -I/usr/local/include/python2.2 -DHAVE_PYTHON=1 '
PYTHON_LIBS='/usr/local/lib/python2.2/config/libpython2.2.a -Xlinker -export-dynamic'
RANLIB='ranlib'
SDL_CFLAGS=''
SDL_CONFIG='/opt/local/bin/sdl-config'
SDL_LIBS=''
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
TR_CFLAGS='-pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math '
TR_CPPFLAGS=' -I/usr/local/include'
TR_CXXFLAGS='-pipe -O2 -fexpensive-optimizations -fomit-frame-pointer -Wall -ffast-math '
TR_LIBS=' -lutil -lGL -lGLU -lglut -lXi -lXmu -lexpat -lpng -ljpeg -lopenal'
USEBOOST128_FALSE=''
USEBOOST128_TRUE='#'
VERSION='0.4.0'
WIN32_FALSE=''
WIN32_TRUE='#'
ac_ct_CC='gcc'
ac_ct_CXX='g++'
ac_ct_RANLIB='ranlib'
ac_ct_STRIP=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__include='include'
am__quote=''
bindir='${exec_prefix}/bin'
build='i686-pc-linux-gnu'
build_alias=''
build_cpu='i686'
build_os='linux-gnu'
build_vendor='pc'
datadir='${prefix}/share'
exec_prefix='${prefix}'
host='i686-pc-linux-gnu'
host_alias=''
host_cpu='i686'
host_os='linux-gnu'
host_vendor='pc'
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/video/src/vegastrike-0.4.1-installer/vegastrike/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
oldincludedir='/usr/include'
prefix='/usr/local'
program_transform_name='s,x,x,'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target='i686-pc-linux-gnu'
target_alias=''
target_cpu='i686'
target_os='linux-gnu'
target_vendor='pc'

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define HAVE_ACCESS 1
#define HAVE_DIRENT_H 1
#define HAVE_FCNTL_H 1
#define HAVE_FINITE 1
#define HAVE_FORK 1
#define HAVE_GETCWD 1
#define HAVE_GETPAGESIZE 1
#define HAVE_GETTIMEOFDAY 1
#define HAVE_GLXGETPROCADDRESSARB 1
#define HAVE_GL_GLEXT_H 1
#define HAVE_GL_GL_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_ISNAN 1
#define HAVE_LIMITS_H 1
#define HAVE_LSTAT 1
#define HAVE_MALLOC_H 1
#define HAVE_MEMORY_H 1
#define HAVE_MMAP 1
#define HAVE_SELECT 1
#define HAVE_SOCKET 1
#define HAVE_STDINT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRDUP 1
#define HAVE_STRINGS_H 1
#define HAVE_STRING_H 1
#define HAVE_STRSTR 1
#define HAVE_SYS_IOCTL_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_SYS_TIME_H 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_UNISTD_H 1
#define HAVE_UNISTD_H 1
#define HAVE_UNISTD_H 1
#define HAVE_UNISTD_H 1
#define HAVE_VFORK 1
#define HAVE_WORKING_FORK 1
#define HAVE_WORKING_VFORK 1
#define HAVE_ZLIB_H 1
#define PACKAGE "vegastrike"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_NAME ""
#define PACKAGE_STRING ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define STDC_HEADERS 1
#define TIME_WITH_SYS_TIME 1
#define VERSION "0.4.0"
#endif
#ifdef __cplusplus
#include <stdlib.h>

configure: exit 0



This seems to be a common problem for some slackware 9.1 users? any ideas someone?
I used the configure.in patch mentioned in this forum before to make configure detect glext.h properly before all this began; I don't use a distro but a lfs system; I have DRI and the libs installed and working, and Mesa 6.0 working. what do I miss? suggestions would be nice!

bye! Matt.
Coladicooka
Star Pilot
Star Pilot
Posts: 5
Joined: Tue Apr 01, 2003 11:35 pm

Answering my own questions;

Post by Coladicooka »

I found some answers in the fora here:

http://vegastrike.sourceforge.net/forum ... 4&start=15

it lead to my following conclusions:

download using the cvs update script;

ignore the configure error:

onfigure: WARNING: GL/glext.h: present but cannot be compiled
configure: WARNING: GL/glext.h: check for missing prerequisite headers?
configure: WARNING: GL/glext.h: proceeding with the preprocessor's result
configure: WARNING: ## ------------------------------------ ##
configure: WARNING: ## Report this to bug-autoconf@gnu.org. ##
configure: WARNING: ## ------------------------------------ ##

If you know your headers are good they are. they might be broken in debian ( are the developers using debian?) as is the case with some other things ( I can't get stuff to compile on deb that works perfectly on slack et vice versa)

In my case I used the stuff from dri.sf.net and mesa 6.0 nothing else.

then I followed the steps:

add --enable-128-boost to configure command in setup script
add #define glXGetProcAddress glXGetProcAddressARB in the beginning of: vegastrike/src/gldrv/gl_init.cpp, gl_globals.h and gl_init.h.

then the setup script would usually break somewhere during linking time:
cannot find -lopenal

I solved this by removing all references from -lopenal in every Makefile,
I modified the setup script to skip until the first make step( yeah I could have typed it over manually too...) and finally the compilation ended as a success.
( I wanted to compile, and when I installed openal it gave me more compile errors, and why yet another audio lib? I only have two extremely cheap speakers built in the monitor anyways.)

in data/vslauncher I could start.

I guess you need gcc 3 no 2.97 something at the least and new libc.
It would be a nice thing to specify this kind of dependencies in the wiki though; or at least some file included with the sources that points out some of the possible difficulties;
I know by experience slack is one distro that has difficulties compiling this baby.

cheers,

good niight

matt.
ace123
Lead Network Developer
Lead Network Developer
Posts: 2560
Joined: Sun Jan 12, 2003 9:13 am
Location: Palo Alto CA
Contact:

Post by ace123 »

I guess you need gcc 3 no 2.97 something at the least and new libc.
[/quote]
You should not need gcc 3.0 or libc.
It compiles fine for me with 2.95 (I have deb stable) and it shouldn't care.

( I wanted to compile, and when I installed openal it gave me more compile errors, and why yet another audio lib? I only have two extremely cheap speakers built in the monitor anyways.)
You need both SDL Mixer (for music; openal has no ogg/mp3/etc... support) and OpenAL (SDL lacks 3d support i think which is why it needs both). This may change in the future.
Post Reply